classification
Title: Rename and document test.bytecode_helper as test.support.bytecode_helper
Type: enhancement Stage: resolved
Components: Documentation, Tests Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, cheryl.sabella, docs@python, matrixise, ncoghlan, seydou
Priority: normal Keywords: patch

Created on 2013-07-28 12:35 by ncoghlan, last changed 2019-10-05 23:59 by ncoghlan. This issue is now closed.

Files
File name Uploaded Description Edit
issue-18578.diff seydou, 2013-08-12 17:19 review
Pull Requests
URL Status Linked Edit
PR 15168 merged nanjekyejoannah, 2019-08-07 19:31
Messages (8)
msg193821 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-07-28 12:35
test.bytecode_helper provides various utilities for sensibly testing bytecode generation. It isn't easy for CPython developers to discover, since it isn't documented and the file is mixed in with actual tests in the main test directory.

As discussed in #15494, it should be:

1. Moved from Lib/test/ to Lib/test/support (and imports in tests adjusted accordingly)
2. Documented in Doc/library/test.rst

This change only affects the default branch (since test.bytecode_helper is new in 3.4)
msg194905 - (view) Author: Seydou Dia (seydou) * Date: 2013-08-11 17:40
I am working on a patch.
msg194972 - (view) Author: Seydou Dia (seydou) * Date: 2013-08-12 17:19
I have a hard time figuring out what exactly BytecodeTestCase methods actually do. Thus the documentation is not probably accurate.
msg326600 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-09-28 02:10
@seydou, would you be interested in making a GitHub pull request for your patch?
msg352055 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-12 08:03
I wanted to merge the PR of Joannah but I have a question, are you sure that there is nobody using this module. Maybe we could add a warning when a user tries to use the module/function with a DeprecationWarning.

Could we have a wrapper raising the warning when we call it and redirect to the new function?

Thank you
msg352061 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-12 09:01
Other discussion with Zach, and at the end, there is no problem to merge your PR.

Thank you for your contribution
msg352062 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-12 09:03
New changeset 92777d5e5aed1753bafe07265dbe98b2d271815b by Stéphane Wirtel (Joannah Nanjekye) in branch 'master':
bpo-18578: Rename and document test.bytecode_helper as test.support.bytecode_helper (GH-15168)
https://github.com/python/cpython/commit/92777d5e5aed1753bafe07265dbe98b2d271815b
msg354026 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2019-10-05 23:59
Just noting for the record that the reason a new warning wasn't needed here is because there is already a general "No compatibility guarantees" warning for the entire test package: https://docs.python.org/3/library/test.html

Thanks for getting this resolved!
History
Date User Action Args
2019-10-05 23:59:00ncoghlansetmessages: + msg354026
2019-09-12 09:04:50matrixisesetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9, - Python 3.8
2019-09-12 09:03:02matrixisesetmessages: + msg352062
2019-09-12 09:01:10matrixisesetmessages: + msg352061
2019-09-12 08:03:57matrixisesetnosy: + matrixise
messages: + msg352055
2019-08-07 19:31:54nanjekyejoannahsetstage: needs patch -> patch review
pull_requests: + pull_request14900
2018-09-28 02:10:14cheryl.sabellasetassignee: docs@python
type: enhancement
components: + Documentation, Tests
versions: + Python 3.8, - Python 3.4
nosy: + cheryl.sabella, docs@python

messages: + msg326600
stage: needs patch
2015-06-28 16:07:25berker.peksagsetnosy: + berker.peksag
2015-06-28 06:04:04ncoghlansetassignee: ncoghlan -> (no value)
2013-12-18 12:37:24ncoghlansetassignee: ncoghlan
2013-08-12 17:19:41seydousetfiles: + issue-18578.diff
keywords: + patch
messages: + msg194972
2013-08-11 17:40:56seydousetnosy: + seydou
messages: + msg194905
2013-07-28 13:44:48ncoghlansetassignee: ncoghlan -> (no value)
2013-07-28 12:35:46ncoghlancreate